aboutsummaryrefslogtreecommitdiff
path: root/packages/auditor-backoffice-ui/remove-link-stylesheet.sh
diff options
context:
space:
mode:
authorNic Eigel <nic@eigel.ch>2024-01-14 15:18:12 +0100
committerNic Eigel <nic@eigel.ch>2024-01-14 15:18:12 +0100
commit7a201c3b885c5d23bf0fd0f3da32379a49b30c38 (patch)
tree13f35c4761087b0e6adce39153be5ca03c5c846b /packages/auditor-backoffice-ui/remove-link-stylesheet.sh
parent2be9142ac5f944fbc03186b22ca67e6020187c92 (diff)
downloadwallet-core-7a201c3b885c5d23bf0fd0f3da32379a49b30c38.tar.xz
adding auditor-backoffice-ui
Diffstat (limited to 'packages/auditor-backoffice-ui/remove-link-stylesheet.sh')
-rw-r--r--packages/auditor-backoffice-ui/remove-link-stylesheet.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/packages/auditor-backoffice-ui/remove-link-stylesheet.sh b/packages/auditor-backoffice-ui/remove-link-stylesheet.sh
new file mode 100644
index 000000000..fdf8f241c
--- /dev/null
+++ b/packages/auditor-backoffice-ui/remove-link-stylesheet.sh
@@ -0,0 +1,8 @@
+# This script has been placed in the public domain.
+
+FILE=$(ls single/bundle.*.css)
+BUNDLE=${FILE#single}
+grep -q '<link href="'$BUNDLE'" rel="stylesheet">' single/index.html || { echo bundle $BUNDLE not found in index.html; exit 1; }
+echo -n Removing link from index.html ...
+sed 's_<link href="'$BUNDLE'" rel="stylesheet">__' -i single/index.html
+echo done